version: 2
name: testgitea2
description: ""
global:
  concurrent: 1
trigger:
  webhook: gitlink@1.0.0
  event:
    - ref: push
      ruleset:
        - param-ref: branch
          operator: EQ
          value: '"develop"'
      ruleset-operator: AND
workflow:
  - ref: start
    name: 开始
    task: start
  - ref: ssh_cmd_0
    name: ssh执行命令
    task: ssh_cmd@1.1.0
    input:
      ssh_private_key: ((ssh.siyao))
      ssh_ip: '"123.59.135.93"'
      ssh_port: '"51123"'
      ssh_user: '"pdl"'
      ssh_cmd: '"ssh root@10.9.101.74 -p22 \"
        cd /root
        &&
        sh ./update.sh
        &&
        echo done \""'
    needs:
      - start
  - ref: end
    name: 结束
    task: end
    needs:
      - ssh_cmd_0

